koba::blog

小林聡: プログラマです

OAuth::Lite のインストール

OAuth対応のプログラムをちょっと作ってみたくなったので、OAuth::Liteをインストールした。

依存するモジュールがたくさんあって結構面倒。以下のモジュールをインストールしました。

cpanmとかは使わずに、すべて

perl Makefile.PL && make && make test && sudo make install

でインストール。

まずは、はてなのOAuth対応APIから試してみようと思います。

追記

OAuth::Liteが使用しているLWP::UserAgentがそのままではhttpsに対応していないらしい。以下を追加でインストールして解決。